# Uses of Interface
org.opensaml.saml.saml1.core.Response

Packages that use Response
Package
Description
org.opensaml.saml.common.messaging.context
Context classes for SAML-based messaging function.
org.opensaml.saml.saml1.core.impl
Implementations of SAML 1.x core specification types and elements.
org.opensaml.saml.saml1.profile
Classes for SAML 1.x profile behavior.
org.opensaml.saml.saml1.profile.impl
Implementations of SAML 1.x profile behavior.
org.opensaml.saml.saml1.testing

## Uses of Response in org.opensaml.saml.common.messaging.context

Methods in org.opensaml.saml.common.messaging.context with parameters of type Response
Modifier and Type
Method
Description
`protected String`
SAMLPeerEntityContext.`processSaml1Response(Response response)`
Resolve the SAML entity ID from a SAML 1 response.

## Uses of Response in org.opensaml.saml.saml1.core.impl

Classes in org.opensaml.saml.saml1.core.impl that implement Response
Modifier and Type
Class
Description
`class`
`ResponseImpl`
Implementation of the `Response` Object.
Methods in org.opensaml.saml.saml1.core.impl that return Response
Modifier and Type
Method
Description
`Response`
ResponseBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`Response`
ResponseBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.

## Uses of Response in org.opensaml.saml.saml1.profile

Methods in org.opensaml.saml.saml1.profile with parameters of type Response
Modifier and Type
Method
Description
`static Assertion`
SAML1ActionSupport.`addAssertionToResponse(AbstractProfileAction action, Response response, IdentifierGenerationStrategy idGenerator, String issuer)`
Constructs and adds a `Assertion` to the given `Response`.

## Uses of Response in org.opensaml.saml.saml1.profile.impl

Fields in org.opensaml.saml.saml1.profile.impl declared as Response
Modifier and Type
Field
Description
`private Response`
AddDoNotCacheConditionToAssertions.`response`
Response to modify.
`private Response`
AddStatusToResponse.`response`
Response to modify.
`private Response`
AddSubjectConfirmationToSubjects.`response`
Response to modify.
`private Response`
CopyNameIdentifierFromRequest.`response`
Response to modify.
`private Response`
ResolveArtifacts.`response`
Response to populate.
Fields in org.opensaml.saml.saml1.profile.impl with type parameters of type Response
Modifier and Type
Field
Description
`private Function<ProfileRequestContext,Response>`
AddDoNotCacheConditionToAssertions.`responseLookupStrategy`
Strategy used to locate the `Response` to operate on.
`private Function<ProfileRequestContext,Response>`
AddStatusToResponse.`responseLookupStrategy`
Strategy used to locate the `Response` to operate on.
`private Function<ProfileRequestContext,Response>`
AddSubjectConfirmationToSubjects.`responseLookupStrategy`
Strategy used to locate the `Response` to operate on.
`private Function<ProfileRequestContext,Response>`
CopyNameIdentifierFromRequest.`responseLookupStrategy`
Strategy used to locate the `Response` to operate on.
`private Function<ProfileRequestContext,Response>`
ResolveArtifacts.`responseLookupStrategy`
Strategy used to locate the `Response` to operate on.
Method parameters in org.opensaml.saml.saml1.profile.impl with type arguments of type Response
Modifier and Type
Method
Description
`void`
AddDoNotCacheConditionToAssertions.`setResponseLookupStrategy(Function<ProfileRequestContext,Response> strategy)`
Set the strategy used to locate the `Response` to operate on.
`void`
AddStatusToResponse.`setResponseLookupStrategy(Function<ProfileRequestContext,Response> strategy)`
Set the strategy used to locate the `Response` to operate on.
`void`
AddSubjectConfirmationToSubjects.`setResponseLookupStrategy(Function<ProfileRequestContext,Response> strategy)`
Set the strategy used to locate the `Response` to operate on.
`void`
CopyNameIdentifierFromRequest.`setResponseLookupStrategy(Function<ProfileRequestContext,Response> strategy)`
Set the strategy used to locate the `Response` to operate on.
`void`
ResolveArtifacts.`setResponseLookupStrategy(Function<ProfileRequestContext,Response> strategy)`
Set the strategy used to locate the `Response` to operate on.

## Uses of Response in org.opensaml.saml.saml1.testing

Methods in org.opensaml.saml.saml1.testing that return Response
Modifier and Type
Method
Description
`static Response`
SAML1ActionTestingSupport.`buildResponse()`
Builds an empty response.